Skip to Content

Delete Namespace

Delete a namespace and remove its association from all files. The 'default' namespace cannot be deleted.

DELETE
/namespaces/{namespace_id}

Delete a namespace. The default namespace cannot be deleted. Files previously assigned to this namespace will have the association removed but are not deleted.

Example Request

curl -X DELETE "https://api.vidnavigator.com/v1/namespaces/64a1b2c3d4e5f6789abc0003" \
  -H "X-API-Key: YOUR_API_KEY"

Success Response

{
  "status": "success",
  "message": "Namespace deleted successfully"
}

API reference

Authorization

ApiKeyAuth
headerX-API-Key<token>

API key authentication. Include your VidNavigator API key in the X-API-Key header.

Path Parameters

namespace_id*string

The ID of the namespace to delete

Response Body

Namespace deleted successfully

application/json
  1. response
status?"success"
Value in"success"
message?string
Example Request
curl -X DELETE 'https://api.vidnavigator.com/v1/namespaces/string'
Example Response
{  "status": "success",  "message": "string"}

On this page